---
title: ScreenOrientation.type
slug: Web/API/ScreenOrientation/type
tags:
  - API
  - Orientation
  - Property
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - Type
---
<p>{{SeeCompatTable}}{{APIRef("Screen Orientation")}}</p>

<p>The <strong><code>type</code></strong> read-only property of the {{domxref("ScreenOrientation")}} interface returns the document's current orientation type, one of "portrait-primary", "portrait-secondary", "landscape-primary", or "landscape-secondary".</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">type = ScreenOrientation.type</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("String")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Orientation','#dom-screenorientation-type','type')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ScreenOrientation.type")}}</p>
</div>
